#
# spec file for package python-pycdio
#

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

Name:           python-pycdio
Version:        0.19
Release:        4.3
License:        GPL-2.0+
Summary:        Python Bindings for the CDIO Library
Url:            http://pypi.python.org/pypi/pycdio/
Group:          Development/Libraries/Python
# http://pypi.python.org/packages/source/p/pycdio/pycdio-%{version}.tar.gz
Source:         pycdio-%{version}.tar.bz2
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libcdio-devel
BuildRequires:  pkgconfig
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  swig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
pycdio is a Python interface to the CD Input and Control library (libcdio).

The pycdio (and libcdio) libraries encapsulate CD-ROM reading and control.
Python programs wishing to be oblivious of the OS- and device-dependent
properties of a CD-ROM can use this library.

%if !0%{?packman_bs}
%endif
%prep
%setup -q -n "pycdio-%{version}"

%build
python ./setup.py build

%install
python ./setup.py install \
    --prefix="%{_prefix}" \
    --root=%{buildroot} \
    --record-rpm=files.lst

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f files.lst
%defattr(-,root,root)
%doc README.txt

%changelog
* Sat Mar 30 2013 fisiu@opensuse.org
- Update to 0.19.
* Sun Jun  5 2011 pascal.bleser@opensuse.org
- update to 0.17
* Fri Apr 16 2010 pascal.bleser@opensuse.org
- initial package (0.16)
